%define name	easychem
%define version	0.6
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	2D molecular drawing program
Version: 	%{version}
Release: 	%{release}
Source:		http://puzzle.dl.sourceforge.net/sourceforge/easychem/%{name}-%{version}.tar.bz2
URL:		http://easychem.sourceforge.net/
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig gtk2-devel

%description
EasyChem is a program designed to draw chemical molecules.  The problem in all
existing programs is: they intend to be easy to use at first try, kind of a
quick-and-dirty approach. EasyChem would be a bit difficult to learn, but when
you master it, you can be very fast, and with a huge precision. In fact, it's
just like a specialized vectorial drawing tool.

%prep
%setup -q

%build
%make -f Makefile.linux C_FLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=EasyChem
Comment=2D Molecule Editor
Exec=%{_bindir}/%{name} 
Icon=chemistry_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Sciences-Chemistry;Science;Chemistry;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%clean_desktop_database


%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%name
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Sep 01 2007 Patred Theknight <eduppclos@gmail.com>0.6-2pclos2007
- Rebuild for PCLinuxOS

* Tue Sep 05 2006 Nicolas L�ureuil <neoclust@mandriva.org> 0.6-2mdv2007.0
- XDG

